rawset(_G, "JUICEBOX_dp", 0)
rawset(_G, "JUICEBOX_renderer", 0)
hud.add(function(v, p, c)
	JUICEBOX_dp = p
	JUICEBOX_renderer = v.renderer()
end)

rawset(_G, "JUICEBOX_dwatch", {})
rawset(_G, "JUICEBOX_players", 0)
rawset(_G, "JUICEBOX_splitscreen", 1)
rawset(_G, "JUICEBOX_weightadjust", 0)
rawset(_G, "JUICEBOX_local", function()
	for dp, n in displayplayers.iterate
		if (p != dp) then continue end
		return n
	end
	return false
end)
rawset(_G, "JUICEBOX_StartLocalSound", function(sfx, p)
	if p.JBlocal
		S_StartSound(nil, sfx, p)
	end
end)
rawset(_G, "JUICEBOX_StartLocalSoundWithScaledVolumeInThisGorillaSpaghettiSplitscreenSystem", function(sfx, p) -- I don't want to talk about it, okay
	if p.JBlocal
		if JUICEBOX_splitscreen then
			S_StartSoundAtVolume(nil, sfx, 255/JUICEBOX_splitscreen, p)
		else -- HOW?
			S_StartSoundAtVolume(nil, sfx, 255, p)
		end
	end
end)

addHook("ThinkFrame", function ()
	if leveltime == 0 then return end
	
	JUICEBOX_dwatch = {}
	JUICEBOX_players = 0
	JUICEBOX_splitscreen = 0

	for p in players.iterate do
		if not (p.mo and p.mo.valid and (not p.spectator)) continue end
		
		JUICEBOX_players = $ + 1
		p.JBlocal = false
		for dp, n in displayplayers.iterate
			if (p != dp) then continue end
			p.JBlocal = true
			JUICEBOX_splitscreen = $ + 1
			break
		end
	end
	JUICEBOX_weightadjust = 9 - (JUICEBOX_players - 6)/2
end)