if kart_secondcolors then
	-- Give Second Color Saturn Sprite Rotation and Squash & Stretch
	addHook("MobjThinker", function(mo)
		if not mo or not mo.valid then return end
		mo.spritexscale = mo.target.spritexscale
		mo.spriteyscale = mo.target.spriteyscale
		mo.spritexoffset = mo.target.spritexoffset
		mo.spriteyoffset = mo.target.spriteyoffset
		mo.rollangle = mo.target.rollsum
	end, MT_KART_SECONDCOLOR)
	
	-- Give Pointy Sonic a secondcolor for his Blue normal self, so his model isn't missing the body of his car
	if kart_secondcolors["pointy"] then
		kart_secondcolors["pointy"][SKINCOLOR_BLUE] = SKINCOLOR_RED
	end
end